Get Started with Projects API

Everything you need to know to get started with the Projects API.

Get a Visier account

To use APIs, you must have a Visier account. If you don't have an account, contact your administrator. To authenticate with Visier APIs, use OAuth 2.0 or basic authentication. For more information, see API Authentication.

Custom profile with these capabilities: Direct Publish

Your user must have at least Read access in any of the following profile capabilities:

  • Data
  • Model
  • Permission Management
  • Profile Management
  • Security
  • Tenant Management
  • User Group Management
  • User Management

Generate your API key and authentication token

To make an API request, you will need an API key and an authentication token. For more information about how to get an API key and request an authentication token, see API Authentication.

Note: If using Postman to send requests, you can request a security token directly in the tool, see Use Postman to Call Visier APIs.

Choose your tool

To use Visier APIs, you need to choose a tool to make your first request. This can be Postman or whichever method you usually use to make HTTP requests. For more information about using Postman for your first request, see Use Postman to Call Visier APIs.

Make your first request

To test that you have everything set up correctly, we'll create a request to retrieve all the draft projects you can access using the /v1/admin/projects endpoint. For a complete list of available endpoints, see "Projects" in API Reference.

Replace {vanity_name} with your tenant name. The API key is expected as a header, while the security token is expected as a cookie.

Tip:  

To find your vanity name:

  • Go to the global workspace in Studio, click Settings > Single Sign-On. Then, under Single Sign-On, find your service provider endpoint; for example, https://jupiter.visier.com/VServer/auth. In this example, jupiter is the vanity name.
  • As an administrating tenant, go to the global workspace in Studio, click Settings > Partner Single Sign-On. Then under Bypass Users (Optional), find your service provider endpoint; for example, https://jupiter.visier.com/VServer/auth. In this example, jupiter is the vanity name.
Copy
cURL sample request: Retrieve a list of all projects
curl -X GET --url 'https://{vanity_name}.api.visier.io/v1/admin/projects' \
-H 'apikey:{api_key}' \
-H 'Cookie:VisierASIDToken={security_token}'

If everything was set up correctly and the request was successful, you should see a similar response:

Copy
Sample response
{
    "openProjects": [
      {
        "id": "8b132f3c-8074-4663-a971-a1b62cab4007",
        "name": "Sample Project 1",
        "capabilities": [
          "owner"
        ]
      },
      {
        "id": "df68e790-8ce1-4950-9d87-99915ccb4d48",
        "name": "Sample Project 2",
        "capabilities": [
          "owner"
        ]
      }
    ]
}

Next steps

Now that you've successfully authenticated and completed your first API request, you can call more Visier APIs!

To learn more: